# Uses of Class
java.rmi.NotBoundException

Packages that use NotBoundException
Package
Description
java.rmi
Provides the RMI package.
java.rmi.registry
Provides a class and two interfaces for the RMI registry.

## Uses of NotBoundException in java.rmi

Methods in java.rmi that throw NotBoundException
Modifier and Type
Method
Description
`static Remote`
Naming.`lookup(String name)`
Returns a reference, a stub, for the remote object associated with the specified `name`.
`static void`
Naming.`unbind(String name)`
Destroys the binding for the specified name that is associated with a remote object.

## Uses of NotBoundException in java.rmi.registry

Methods in java.rmi.registry that throw NotBoundException
Modifier and Type
Method
Description
`Remote`
Registry.`lookup(String name)`
Returns the remote reference bound to the specified `name` in this registry.
`void`
Registry.`unbind(String name)`
Removes the binding for the specified `name` in this registry.